from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XNameAccess

@runtime_checkable
class XDataPilotTables(XNameAccess, Protocol):
    def createDataPilotDescriptor(self) -> XDataPilotDescriptor: ...
    def insertNewByName(self, aName: str, OutputAddress: CellAddress, xDescriptor: XDataPilotDescriptor) -> None: ...
    def removeByName(self, aName: str) -> None: ...
